#!/bin/sh

PATH=/sbin:$PATH
export PATH

IMAGE=../../../images/supp.img
DIR=supp
SIZE=1440

MNTPOINT=/tmp/mkimage.mnt-$$

if [ "$1" != "-f" ]; then
    if [ -f $IMAGE ]; then
	echo "$IMAGE already exists." >&2
	exit 1
    fi
fi

dd if=/dev/zero of=$IMAGE bs=1k count=$SIZE 2> /dev/null

for devnum in 0 1 2 3 4 5 6 7 8; do
    if losetup /dev/loop$devnum $IMAGE 2>/dev/null ; then break; fi
done

if [ "$devnum" = "8" ]; then
    rm -rf $MNTPOINT $IMAGE
    echo "All of your loopback devices are in use!" >&2
    exit 1
fi

LODEV=/dev/loop$devnum

mke2fs -i 16384 -m 0 $LODEV $SIZE >/dev/null 2>/dev/null

mkdir $MNTPOINT
mount -t ext2 $LODEV $MNTPOINT

(cd $DIR; tar cSpf - *) | (cd $MNTPOINT; tar xSpf -)
df $MNTPOINT

umount $MNTPOINT
losetup -d $LODEV

rm -rf $MNTPOINT 
